<?
	//$pdf->SetAutoPageBreak(true,34);
	
	  $pdf->Ln(2);

      $pdf->SetFont('arialpl', '', 10);

      $pdf->Ln(2);
      $current = $pdf->GetY();
      //$pdf->MultiCell(0,4,$address,0,'L');
      $current2 = $pdf->GetY();

      //$current = $pdf->GetY();
      //$pdf->Ln(7);
      $pdf->SetXY($pdf->fw-$pdf->rMargin-30,36);
      $table = array(); 
	  $table [0]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_NUMBER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [1]['data'] = array('width' => 30, 'value' => $this->document_no, 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [2]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_DATE_REGISTER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [3]['data'] = array('width' => 30, 'value' => $this->register_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
  	
	  $next = 4;
	  if(isset($this->validtill_date) && $this->validtill_date != '') {
	  	$table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_VALIDTILL_DATE'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
		$table [$next++]['data'] = array('width' => 30, 'value' => $this->validtill_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
	  }
	  
	  
	  $table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_OWNER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [$next++]['data'] = array('width' => 30, 'value' => $this->setUser()->full_name, 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $pdf->DrawTable($table, null, 0.5, 0.5, 3);
      
      $pdf->SetY($current2);

      $pdf->Ln(12);

      $pdf->SetFont('arialpl','','22');
	  
	  $pdf->SetY(28);
	  $pdf->SetX(65);
      $pdf->MultiCell(90,10,$mod_strings['LBL_PDF_PACKING_LIST'],70,'C');
	  $yaftername=$pdf->GetY()+7;

      
	  if(isset($this->validtill_date) && $this->validtill_date != '') $pdf->Ln(9);
      

      $this->loadParser();


      $this->header_text = $this->template->mfp->parseText($this->header_text);

      $this->footer_text = $this->template->mfp->parseText($this->footer_text);

      $this->ads_text = $this->template->mfp->parseText($this->ads_text);

		//wystawca
	  $pdf->SetXY(25,15);
	  $pdf->SetFont('arialpl', '', 8);
	  $pdf->MultiCell(60,4,$pdf->edt->header_text,0,'L');

     

      //Odbiorca:

      $pdf->Ln(20);

      $pdf->SetFont('arialpl','B','10');
	  
	  $pdf->SetY(36);
      $pdf->MultiCell(0,4,"Odbiorca",0,'J');
	  $pdf->Ln(1);
      $pdf->SetFont('arialpl','','10');
      $pdf->MultiCell(0,4,$this->parent_name,0,'J');
	  if($this->parent_address_street)   $pdf->MultiCell(0,4,$this->parent_address_street,0,'J'); 
	  if($this->parent_address_postalcode) $city = $this->parent_address_postalcode;
      if($this->parent_address_city) $city.=" ".$this->parent_address_city;
		if ($city) $pdf->MultiCell(0,4,$city,0,'J'); 
      

      $pdf->Ln(20);
	  $pdf->SetY($yaftername);
	  
	  
	  
	  
//********************
	  global $mod_strings;
      if(!isset($this->position_list) || !is_array($this->position_list))
        $this->position_list = $this->getPositionList(true);
      $calc = $this->calculate($this->position_list,true);
      $this->position_list = $this->formatPositions($this->position_list);
      
      $calc['total'] .= ' '.$this->currency_symbol;
      $calc['subtotal'] .= ' '.$this->currency_symbol;
      if($calc['discount']) {
        $calc['total2'] .= ' '.$this->currency_symbol;
        $calc['discount']['value'] .= ' '.$this->currency_symbol;
      }
      
      if(isset($calc['vats']) && is_array($calc['vats']) && count($calc['vats']) > 0)
        foreach($calc['vats'] as $key => $value) $calc['vats'][$key] .= ' '.$this->currency_symbol;



	  $pdf->Ln(7);
      $name_w = 43;
      $table = array(); 
	  
	  //$table [0]['image'] = array('width' => 10, 'value' => $mod_strings['LBL_PDF_LIST_IMAGE'], 'border' => 0,'background' => array(233,233,233), 'overflow' => 1, 'align' => 'R');
      $table [0]['position'] = array('width' => 5, 'value' => $mod_strings['LBL_PDF_LIST_POSITION'], 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['code'] = array('width' => 16, 'value' => "Index\nEAN", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['description'] = array('width' => 20, 'value' => $mod_strings['LBL_PDF_LIST_DESCRIPTION'], 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['quantity'] = array('width' => 8, 'value' => $mod_strings['LBL_PDF_LIST_QUANTITY'], 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//ilość sz. w kartonie
      $table [0]['pcs-ctn'] = array('width' => 5, 'value' => "psc\nctn", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//ilość kartonów
      $table [0]['total-ctns'] = array('width' => 5, 'value' => "total ctns", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//objętość kartonu
	$table [0]['cubm-ctns'] = array('width' => 6, 'value' => "cubm\nctns", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//objętość całkowita
	$table [0]['total-cubm'] = array('width' => 6, 'value' => "total\ncubm", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//waga netto
	$table [0]['netto'] = array('width' => 6, 'value' => "N.W\nctns", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//suma netto
	$table [0]['total-netto'] = array('width' => 8, 'value' => "total kg N.W", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//waga brutto
	$table [0]['brutto'] = array('width' => 6, 'value' => "G.W.\nctns", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	//suma brutto
	$table [0]['total-brutto'] = array('width' => 8, 'value' => "total kg G.W", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	
	  $pdf->SetY(60);
	  $pdf->DrawTable($table,array(0));
	  $pdf->Ln(0);
	  
	  $table=array();
      $i = 1;
	  $ii =1;
	  $lv=return_app_list_strings_language($this->ecmlanguage);
	  
	  //total array 0-quantity, 1-total-ctns, 2-total-cubm, 3-totan-NW, 4-total-GW
	  //$total_array[] = array();
	  //for ($i; $i<4; $i++) $total_array[$i]=0;
	  
      if($this->position_list != '')
      foreach($this->position_list as $p) {
	  /*
	    $p_image=$this->getProductImage($p['id']);
		
		if(file_exists($p_image)){$table [$i]['image'] = array('width' => 10, 'value' => '', 'border' => 0, 'align' => 'R', 'image_path' => $p_image);
		} 
		else $table [$i]['image'] = array('width' => 10, 'value' => '', 'border' => 0, 'align' => 'R');
		*/
		
        $table [$i]['position'] = array('width' => 5, 'value' => $ii, 'border' => 0, 'align' => 'C', );
		
		$query = "SELECT ean FROM ecmproduct_language WHERE ecmproduct_id='".$p['id']."' AND language='".substr($this->ecmlanguage, 0, 2)."';";
		$result = $GLOBALS['db']->query($query);
		$ean = $GLOBALS['db']->fetchByAssoc($result);
		if (empty($ean['ean'])) {
			// try  pl
			$query = "SELECT ean FROM ecmproduct_language WHERE ecmproduct_id='".$p['id']."' AND language='pl';";
			$result = $GLOBALS['db']->query($query);
			$ean = $GLOBALS['db']->fetchByAssoc($result);
		}
		if (empty($ean['ean'])) $ean=''; else $ean=$ean['ean'];		
        $table [$i]['code'] = array('width' => 16, 'value' => $p['code']."\n".$ean, 'border' => 0, 'align' => 'C', );
        $table [$i]['description'] = array('width' => 20, 'value' => htmlspecialchars_decode($p['name']), 'border' => 0, 'align' => 'L', );
        $table [$i]['quantity'] = array('width' => 8, 'value' => $p['quantity'], 'border' => 0, 'align' => 'C', );
		$total_array[0]+=intval($p['quantity']);
		//getData
			$query = "SELECT pieces_per_carton, carton_volume_meter, carton_netto_weight, carton_brutto_weight FROM ecmproducts WHERE id='".$p['id']."';";
			$result = $GLOBALS['db']->query($query);
			$row = $GLOBALS['db']->fetchByAssoc($result);
				$totalctns = ceil($p['quantity']/$row['pieces_per_carton']);
				$totalcubm = ceil($p['quantity']/$row['pieces_per_carton'])*$row['carton_volume_meter'];
				$totalnetto = ceil($p['quantity']/$row['pieces_per_carton'])*$row['carton_netto_weight'];
				$totalbrutto = ceil($p['quantity']/$row['pieces_per_carton'])*$row['carton_brutto_weight'];
			$total_array[1]+= (float) $totalctns;
			$total_array[2]+= (float) $totalcubm;
			$total_array[3]+= (float) $totalnetto;
			$total_array[4]+= (float) $totalbrutto;
		
	
	//ilość sz. w kartonie
      $table [$i]['pcs-ctn'] = array('width' => 5, 'value' => $row['pieces_per_carton'], 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	//ilość kartonów
      $table [$i]['total-ctns'] = array('width' => 5, 'value' => round($totalctns,2), 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	  //objętość kartonu
	$table [$i]['cubm-ctns'] = array('width' => 6, 'value' => round($row['carton_volume_meter'],2), 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	//objętość całkowita
	$table [$i]['total-cubm'] = array('width' => 6, 'value' => round($totalcubm,2), 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	//waga netto
	$table [$i]['netto'] = array('width' => 6, 'value' => round($row['carton_netto_weight'],2), 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	//suma netto
	$table [$i]['total-netto'] = array('width' => 8, 'value' => round($totalnetto,2), 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	//waga brutto
	$table [$i]['brutto'] = array('width' => 6, 'value' => round($row['carton_brutto_weight'],2), 'border' => 0,'font-style' => '', 'overflow' => 0, 'align' => 'C');
	//suma brutto
	$table [$i]['total-brutto'] = array('width' => 8, 'value' => round($totalbrutto,2), 'border' => 0,'font-style' => '', 'overflow' => 1, 'align' => 'C');
	$i++;
		$table [$i]['image'] = array('width' => 100, 'font-style'=>'b', 'value' => '___________________________________________________________________________________________________________','border'=>'0', 'align' => 'R',);
		$i++;
		$ii++;
 }
 	//TOTAL ROW
      $table [$i]['position'] = array('width' => 5, 'value' => "", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [$i]['code'] = array('width' => 16, 'value' => "TOTAL", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [$i]['description'] = array('width' => 20, 'value' => "", 'border' => 0,'background' => array(233,233,233), 'overflow' => 1, 'align' => 'C');
      $table [$i]['quantity'] = array('width' => 8, 'value' => $total_array[0], 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [$i]['pcs-ctn'] = array('width' => 5, 'value' => "", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [$i]['total-ctns'] = array('width' => 5, 'value' => round($total_array[1],2), 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	$table [$i]['cubm-ctns'] = array('width' => 6, 'value' => "", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	$table [$i]['total-cubm'] = array('width' => 6, 'value' => round($total_array[2],2), 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	$table [$i]['netto'] = array('width' => 6, 'value' => "", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	$table [$i]['total-netto'] = array('width' => 8, 'value' => round($total_array[3],2), 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	$table [$i]['brutto'] = array('width' => 6, 'value' => "", 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
	$table [$i]['total-brutto'] = array('width' => 8, 'value' => round($total_array[4],2), 'border' => 0,'background' => array(233,233,233),'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      
	 $pdf->DrawTable($table,array(0));
	  
		$endtab=$pdf->GetY();
		$pdf->SetY($endtab);
			  
      $pdf->Ln(4);
      $pr = ($pdf->fw-$pdf->lMargin-$pdf->rMargin)/100;
      $table = array();    

      if($calc['vats']) {  
        $table [] = array(
          'subtotal1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_TOTAL'], 'background' => array(255,255,255), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
          'subtotal2' => array('width' => 34, 'value' => $calc['subtotal'], 'border' => 0, 'overflow' => 1, 'align' => 'R', 'font-size' => 9), 
		);

        foreach($calc['vats'] as $key => $value){
		  $r=mysql_fetch_array(mysql_query("select name from ecmvats where id='".$key."'"));
		  $vvn=$r['name'];
          $table [] = array(
            'vat1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_VAT'].' ('.$vvn.')', 'background' => array(255,255,255), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
            'vat2' => array('width' => 34, 'value' => $value, 'border' => 0, 'overflow' => 1, 'align' => 'R', 'font-size' => 9),
		  );
		}
      }

      $table [] = array(
        'total1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_END_TOTAL'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9, 'font-style' => 'b'),
        'total2' => array('width' => 34, 'value' => $calc['total'], 'border' => 0, 'background' => array(233,233,233), 'overflow' => 1, 'align' => 'R' , 'font-size' => 9, 'font-style' => 'b'),
	  );
      
	  //if($pdf->GetY()+30>$pdf->fh-$pdf->bMargin)$pdf->AddPage();
	  //$pdf->SetX(127);
     // $pdf->DrawTable($table);
	  
?>